# openssl_pkcs12_export_to_file

(PHP 5 >= 5.2.2, PHP 7)

openssl_pkcs12_export_to_file — Exports a PKCS#12 Compatible Certificate Store File

### Description

openssl_pkcs12_export_to_file ( mixed `$x509` , string `$filename` , mixed `$priv_key` , string `$pass` [, array `$args` ] ) : bool

openssl_pkcs12_export_to_file() stores `x509` into a file named by `filename` in a PKCS#12 file format.

### Parameters

`x509`

  See Key/Certificate parameters for a list of valid values.

`filename`

  Path to the output file.

`priv_key`

  Private key component of PKCS#12 file. See Public/Private Key parameters for a list of valid values.

`pass`

  Encryption password for unlocking the PKCS#12 file.

`args`

  Optional array, other keys will be ignored.

  Key | Description
  --- | ---
  "extracerts" | array of extra certificates or a single certificate to be included in the PKCS#12 file.
  "friendlyname" | string to be used for the supplied certificate and key

### Return Values

Returns `TRUE` on success or `FALSE` on failure.